Skip to main content

Messages (Update/Delete)

Use these endpoints to update or delete existing messages.

Update Message

Request

  • Method: PATCH
  • URL: https://chattz.net/api/v1/messages/{MESSAGE_ID}
  • Auth: Required (the community API key)

Path parameters:

  • MESSAGE_ID (required, numeric)

JSON body:

  • content (required, max 4000 chars)

Success Fields

  • message (updated message object)
  • updated (true)

Example

curl -X PATCH "https://chattz.net/api/v1/messages/98765" \
-H "Content-Type: application/json" \
-H "X-Chattz-Api-Key: YOUR_KEY" \
-d '{"content":"Updated text"}'

Delete Message

Request

  • Method: DELETE
  • URL: https://chattz.net/api/v1/messages/{MESSAGE_ID}
  • Auth: Required (the community API key)

Path parameters:

  • MESSAGE_ID (required, numeric)

Success Fields

  • deleted (true)
  • message_id
  • channel_id
  • thread_deleted (boolean; true if deleting the last thread message also removed the thread)

Example

curl -X DELETE "https://chattz.net/api/v1/messages/98765" \
-H "X-Chattz-Api-Key: YOUR_KEY"